%%% MATH %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\R}{\mathbb{R}}
\newcommand{\Z}{\mathbb{Z}}
\newcommand{\N}{\mathbb{N}}
\newcommand{\I}{\mathbb{I}}
\newcommand{\nn}{\nonumber}
\newcommand{\beq}{\begin{equation}}
\newcommand{\eeq}{\end{equation}}
\newcommand{\bea}{\begin{eqnarray}}
\newcommand{\eea}{\end{eqnarray}}
\newcommand{\bal}{\begin{aligned}}
\newcommand{\eal}{\end{aligned}}
\newcommand{\ddt}{\frac{\mathrm{d}}{\mathrm{d}t}}
\newcommand{\pa}{\partial}
\newcommand{\norm}[1]{\lVert#1 \rVert}
\newcommand{\abs}[1]{\left\lvert#1 \right\rvert}
\newcommand{\eps}{\varepsilon}
\renewcommand{\phi}{\varphi}
\renewcommand{\t}{^\intercal}
\newcommand{\et}{\mathrm{e}\t}
\newcommand{\s}{^\star}
\newcommand{\comp}[2]{{#1}^{(#2)}}
\numberwithin{equation}{section} % equation numbering
\newtheorem{theorem}{Theorem}[section]
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{hypothesis}[theorem]{Hypothesis}
\theoremstyle{definition}
\newtheorem{remark}[theorem]{Remark}
\newtheorem{assumption}[theorem]{Assumption}
\newtheorem*{binterp}{Biological Interpretation}
\mathtoolsset{showonlyrefs=true}
%%% UNITS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\DeclareSIUnit\month{mo}
\DeclareSIUnit\year{yr}

%%% TIKZ %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\definecolor{MMAorange}{RGB}{255, 128, 0} 	    
\definecolor{MMAdorange}{RGB}{170, 85, 0}
\definecolor{nyellow}{RGB}{255,221,0}
\definecolor{nred}{RGB}{224,0,0}	
\definecolor{ngreen}{RGB}{98,158,31}
\definecolor{NavyBlue}{rgb}{0,0,.6}
\tikzset{
	decision/.style = {diamond, draw, fill=ngreen!80},
	activation/.style = {rectangle, draw, fill=NavyBlue!50, rounded corners},
	divisiontype/.style = {rectangle, draw, fill=nyellow!70, rounded corners}, 
	division/.style = {rectangle, draw, fill=nyellow, rounded corners},
	cell/.style = {ellipse, draw, fill=Orange},
	quicell/.style = {rectangle, draw, fill=MMAorange, rounded corners},
	cyccell/.style = {ellipse, draw, fill=NavyBlue!50},
	depletion/.style = {rectangle, draw, fill=nred!60, rounded corners}
}
\tikzset{>=latex}
\usetikzlibrary{backgrounds,shapes,arrows,shapes.multipart} %used for flow charts
\usetikzlibrary{positioning}

%%% BIBLIOGRAPHY %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\addbibresource{bibliography.bib}


%%% MISC %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% define subfigure captions to have no brackets
\DeclareCaptionLabelFormat{nobrackets}{\textbf{#2}} % style for labaling subfigures
\DeclareCaptionLabelFormat{bold}{(\textbf{#2})} % style for referencing subfigures
\captionsetup[sub]{labelformat=nobrackets,subrefformat=bold,singlelinecheck=off,justification=raggedright}
\renewcommand{\thesubfigure}{\alph{subfigure}} % subfigure captions are numbered by lower case letters
\floatpagestyle{empty}  % no pagenumber on float only page
%\captionsetup{belowskip=4pt,aboveskip=4pt}
\newcommand{\red}{\textcolor{red}}